cURL
curl --request GET \
--url https://api.clarionhealth.com/v1/eligibility/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clarionhealth.com/v1/eligibility/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clarionhealth.com/v1/eligibility/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"status": "completed",
"outcome": "success",
"coverage": {
"is_active_today": true,
"checked_date": "2023-12-25",
"plan_name": "Freedom Network",
"payer_name": "United Healthcare",
"patient_costs": [
{
"type": "deductible",
"network": "in_network",
"description": "$1500 deductible (individual) in-network per plan year",
"amount": "1500",
"coverage_level": "individual",
"time_period": "plan_year"
}
],
"group_number": "1234567890",
"member_id": "X12345678"
},
"created_at": "2023-11-07T05:31:56Z",
"customer_patient_id": "1234567890"
}
]{
"message": "Insurance eligibility check with ID 123 not found",
"statusCode": 404,
"error": "Not found"
}{
"message": "Internal server error",
"statusCode": 500
}Verification of Benefits
Get Eligibility Check
Get the status and results of a specific eligibility check by its ID.
How to find a eligibility check:
- If you have the eligibility check ID from the POST response, use this endpoint directly
- If you only have your
customer_patient_id, useGET /eligibility?customer_patient_id=your-idto find the eligibility check
Note: You can poll this endpoint to check the status of your request, or wait for the webhook notification when the check completes.
GET
/
eligibility
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the eligibility check request
Response
Eligibility check details

